Bug 494046

Summary: updating fontconfig to rawhide then ANY font package causes gnome-terminal to segfault
Product: [Fedora] Fedora Reporter: seth vidal <svidal>
Component: fontconfigAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 10CC: awilliam, behdad, fonts-bugs, james.antill, limburgher, mads, nsoranzo, scottt.tw, tcallawa
Target Milestone: ---Keywords: CommonBugs, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: https://fedoraproject.org/wiki/Common_F11_bugs#fontconfig-update-issue
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 04:11:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 446451    

Description seth vidal 2009-04-03 16:48:13 EDT
Description of problem:
fontconfig-2.6.0-3.fc10.i386
on an f10 i686 machine.

if I update fontconfig from f10 to rawhide: 2.6.99.behdad.20090318-1.fc11
and then update ANY font package Gnome-terminals segfault.

I've captured strace -p from the gnome-terminal process here:
http://sethdot.org/~skvidal/misc/gterm-strace.txt


I have a qemu img where I can duplicate this any time if more testing is needed.

This is a big deal b/c it stops anyone from updating with yum from a gnome-terminal from f10-> rawhide/f11.
Comment 1 Adam Williamson 2009-04-29 10:58:41 EDT
Triaging. Blocks F11Target not F11Blocker because upgrading via yum is not our supported method (preupgrade is).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 seth vidal 2009-04-29 11:10:43 EDT
Adam,
 Both are supported. And both are what people WILL be using.

This is unacceptable.
Comment 3 Adam Williamson 2009-04-29 12:29:38 EDT
as discussed via IRC, I was just going on what I heard when I asked about yum-based distro upgrades (ask wwoods for his take). actions of triage team are just the triager's best effort, not manna from heaven; you could add this to F11Blocker list if you like. releng has ultimate power over that list.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Behdad Esfahbod 2009-04-29 13:12:32 EDT
Seth, can you test to see whether updating gtk+ and pango first, restarting g-t, then installing the font package makes any difference?
Comment 5 seth vidal 2009-05-06 10:31:30 EDT
I updated gtk2 and pango which pulled in glib2 and libXrandr.
I then killed the gnome-terminal I had running and started a new one

Then I ran yum update fontconfig urw-fonts

and it did the same as before.

Should I test it again restarting X and gnome after upgrading gtk2 and pango?
Comment 6 Bug Zapper 2009-11-18 02:48:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:11:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.